Package org.eclipse.net4j.util.om.trace

# Class RemoteTraceHandler

java.lang.Object
org.eclipse.net4j.util.om.trace.RemoteTraceHandler

All Implemented Interfaces:
  `OMTraceHandler`

public class RemoteTraceHandler extends Object implements OMTraceHandler
A `trace handler` that sends `trace events` to a remote trace `server`.

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_HOST`
`static final int`
`DEFAULT_PORT`

## Constructor Summary

Constructors
Constructor
Description
`RemoteTraceHandler()`
`RemoteTraceHandler(String agentID)`
`RemoteTraceHandler(String agentID, String host)`
`RemoteTraceHandler(String agentID, String host, int port)`

## Method Summary

Modifier and Type
Method
Description
`Exception`
`close()`
`protected Socket`
`connect()`
`void`
`traced(OMTraceHandlerEvent event)`
`static String`
`uniqueAgentID()`
`protected void`
`writeUTF(DataOutputStream out, String str)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_HOST

public static final String DEFAULT_HOST

See Also:
  - Constant Field Values

### DEFAULT_PORT

public static final int DEFAULT_PORT

See Also:
  - Constant Field Values

## Constructor Details

### RemoteTraceHandler

public RemoteTraceHandler() throws IOException

Throws:
  `IOException`

### RemoteTraceHandler

public RemoteTraceHandler(String agentID) throws IOException

Throws:
  `IOException`

### RemoteTraceHandler

public RemoteTraceHandler(String agentID, String host) throws IOException

Throws:
  `IOException`

### RemoteTraceHandler

public RemoteTraceHandler(String agentID, String host, int port) throws IOException

Throws:
  `IOException`

## Method Details

### close

public Exception close()

### traced

public void traced(OMTraceHandlerEvent event)

Specified by:
  `traced` in interface `OMTraceHandler`

### connect

protected Socket connect() throws IOException

Throws:
  `IOException`

### writeUTF

protected void writeUTF(DataOutputStream out, String str) throws IOException

Throws:
  `IOException`

### uniqueAgentID

public static String uniqueAgentID()